NamespaceBinder.NamespaceSupport (NekoHTML 1.9.21-SNAPSHOT Implementation)
Date: 2014-03-11

org.cyberneko.html.filters

## Class NamespaceBinder.NamespaceSupport

- java.lang.Object
- - org.cyberneko.html.filters.NamespaceBinder.NamespaceSupport

- Enclosing class:
    NamespaceBinder

      public static class NamespaceBinder.NamespaceSupport
      extends java.lang.Object

  This namespace context object implements the old and new XNI `NamespaceContext` interface methods so that it can be used across all versions of Xerces2.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.cyberneko.html.filters.NamespaceBinder.NamespaceSupport.Entry[]` | `fEntries` The entries.
    `protected int[]` | `fLevels` The levels of the entries.
    `protected int` | `fTop` Top of the levels list.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceBinder.NamespaceSupport()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `declarePrefix(java.lang.String prefix, java.lang.String uri)` Declare prefix.
    `java.util.Enumeration` | `getAllPrefixes()` Get all prefixes.
    `java.lang.String` | `getDeclaredPrefixAt(int index)` Get declared prefix at.
    `int` | `getDeclaredPrefixCount()` Get declared prefix count.
    `NamespaceContext` | `getParentContext()` Get parent context.
    `java.lang.String` | `getPrefix(java.lang.String uri)` Get prefix.
    `java.lang.String` | `getURI(java.lang.String prefix)` Get URI.
    `void` | `popContext()` Pop context.
    `void` | `pushContext()` Push context.
    `void` | `reset()` Reset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fTop

          protected int fTop

      Top of the levels list.

    - #### fLevels

          protected int[] fLevels

      The levels of the entries.

    - #### fEntries

          protected org.cyberneko.html.filters.NamespaceBinder.NamespaceSupport.Entry[] fEntries

      The entries.

  - ### Constructor Detail

    - #### NamespaceBinder.NamespaceSupport

          public NamespaceBinder.NamespaceSupport()

      Default constructor.

  - ### Method Detail

    - #### getURI

          public java.lang.String getURI(java.lang.String prefix)

      Get URI.

    - #### getDeclaredPrefixCount

          public int getDeclaredPrefixCount()

      Get declared prefix count.

    - #### getDeclaredPrefixAt

          public java.lang.String getDeclaredPrefixAt(int index)

      Get declared prefix at.

    - #### getParentContext

          public NamespaceContext getParentContext()

      Get parent context.

    - #### reset

          public void reset()

      Reset.

    - #### pushContext

          public void pushContext()

      Push context.

    - #### popContext

          public void popContext()

      Pop context.

    - #### declarePrefix

          public boolean declarePrefix(java.lang.String prefix,
                              java.lang.String uri)

      Declare prefix.

    - #### getPrefix

          public java.lang.String getPrefix(java.lang.String uri)

      Get prefix.

    - #### getAllPrefixes

          public java.util.Enumeration getAllPrefixes()

      Get all prefixes.

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.